-- BEGIN COPYRIGHT
-- *************************************************************************
--
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2016. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- *************************************************************************
-- END COPYRIGHT


SET CURRENT SCHEMA = '@SCHEMA@';
        
    
    

      
-- START of phase ProcUpgradeTo856 --
        
         
ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "MOBILE_READY" CHAR(1)
        DEFAULT 'F'
;

COMMIT;
    

DROP INDEX @SCHEMA@.LSWC_GGXXREF_NU2;
					
COMMIT;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "PROJECT_ID" CHAR(36) 
ADD 
    "BPD_NAME" VARCHAR(128) 
ADD 
    "SBO_SYNC_ENABLED" CHAR(1)
        DEFAULT 'F' NOT NULL
;

COMMIT;
    


CREATE INDEX @SCHEMA@.IDX3_GGMX 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF(
    "CONTAINER_GROUP_ID",
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_SBO_SYNC_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE(
        "BPD_INSTANCE_ID",
        "EXECUTION_STATUS",
        "SBO_SYNC_ENABLED")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.INDEX4_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "PROJECT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.INDEX5_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "LAST_MODIFIED_DATETIME",
    "GROUP_ID",
    "EXECUTION_STATUS",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
    "IS_MOBILE_READY" CHAR(1)
        DEFAULT 'F'
;

COMMIT;
    

CREATE TABLESPACE WLPZ3001
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE8K@
;
CREATE TABLE @SCHEMA@.LSW_INSTALLATION_MESSAGE (
    "MESSAGE_ID" CHAR(36) NOT NULL ,
    "PARENT_MESSAGE_ID" CHAR(36) ,
    "SNAPSHOT_ID" CHAR(36) NOT NULL ,
    "SERVER_ID" CHAR(36) ,
    "SERVER_NAME" VARCHAR(512) NOT NULL ,
    "THREAD_ID" VARCHAR(32) NOT NULL ,
    "USER_NAME" VARCHAR(512) NOT NULL ,
    "TYPE" DECIMAL(2, 0) NOT NULL ,
    "STATE" DECIMAL(2, 0) ,
    "START_DATETIME" TIMESTAMP NOT NULL ,
    "END_DATETIME" TIMESTAMP ,
    "MESSAGE_NAME" VARCHAR(512) NOT NULL ,
    "REPLACEMENT_TEXT" VARCHAR(4000)
)
IN @DB_NAME@.WLPZ3001
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_INSTALLATION_MESSAGE_PK
    ON @SCHEMA@.LSW_INSTALLATION_MESSAGE
    ("MESSAGE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_INSTALLATION_MESSAGE
    ADD CONSTRAINT LSW_INSTALLATION_MESSAGE_PK
    PRIMARY KEY(
       "MESSAGE_ID")

;

ALTER  TABLE @SCHEMA@.LSW_SERVER 
ADD 
    "IS_GENERIC" CHAR(1)
        DEFAULT '0'
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_DEPLOYMENT 
ADD 
    "IS_GENERIC" CHAR(1)
        DEFAULT '0'
;

COMMIT;
    

CREATE TABLESPACE WLPZ3011
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_MIGRATION_POLICY (
    "MIGRATION_POLICY_ID" CHAR(36) NOT NULL ,
    "SOURCE_SNAPSHOT_ID" CHAR(36) NOT NULL ,
    "TARGET_SNAPSHOT_ID" CHAR(36) NOT NULL ,
    "XML_DATA" BLOB(2G)
)
IN @DB_NAME@.WLPZ3011
;

CREATE LOB TABLESPACE WLPZ3012
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_MIGRATION_POLICY4_LOB
    IN @DB_NAME@.WLPZ3012
    STORES @SCHEMA@.LSW_MIGRATION_POLICY COLUMN XML_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_MIGRATION_POLICY4_I
    ON @SCHEMA@.LSW_MIGRATION_POLICY4_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSW_MIGRATION_POLICY_PK
    ON @SCHEMA@.LSW_MIGRATION_POLICY
    ("MIGRATION_POLICY_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_MIGRATION_POLICY
    ADD CONSTRAINT LSW_MIGRATION_POLICY_PK
    PRIMARY KEY(
       "MIGRATION_POLICY_ID")

;

ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
    "IS_SHADOW" CHAR(1)
        DEFAULT 'F' 
ADD 
    "SAVE_SERVICE_REF" CHAR(36)
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_SAVED_SEARCHES 
ADD 
    "SEARCH_TYPE" DECIMAL(18, 0)
        DEFAULT 1 NOT NULL
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_SCA_CONNECTOR 
ADD 
    "BINDING_TYPE" DECIMAL(2, 0)
        DEFAULT 0 
ADD 
    "PROJECT_ID" CHAR(36) 
ADD 
    "ENV_VAR_ID" CHAR(36)
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "SBO_SYNC_ENABLED" CHAR(1)
        DEFAULT 'T'
;

COMMIT;
    







CREATE INDEX @SCHEMA@.FK_BTMARKERS_BPDID 
    ON @SCHEMA@.BPM_TASK_MARKERS(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_BPDINST_CBPDVID 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "CACHED_BPD_VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_DYNGRP_BRAID 
    ON @SCHEMA@.LSW_DYNAMIC_GROUP(
    "BRANCH_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_DYNGRP_SNAID 
    ON @SCHEMA@.LSW_DYNAMIC_GROUP(
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_TASK_RFROM 
    ON @SCHEMA@.LSW_TASK(
    "RCVD_FROM")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_TASK_CBY 
    ON @SCHEMA@.LSW_TASK(
    "CLOSE_BY")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_USRATTR_UID 
    ON @SCHEMA@.LSW_USR_ATTR(
    "USER_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_UGMEM_GID 
    ON @SCHEMA@.LSW_USR_GRP_MEM_XREF(
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE
 DROP CONSTRAINT BPM_SHARED_OBJECT_VALUE_FK
;

COMMIT;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
 DROP CONSTRAINT BPM_SHARED_OBJECT_FK
;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
 DROP CONSTRAINT BPM_SHARED_OBJ_TO_INSTANCE
;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
 DROP CONSTRAINT BPM_SHARED_OBJ_TO_TASK
;

DROP INDEX @SCHEMA@.BPM_SHARED_OBJECT_UQ
;

COMMIT;

CREATE TABLESPACE WLPZ601
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE (
    "BPD_INSTANCE_ID" DECIMAL(12, 0) NOT NULL ,
    "SHARED_OBJECT_ID" CHAR(36) NOT NULL ,
    "SHARED_OBJECT_VERSION" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ601
;

CREATE TABLESPACE WLPZ602
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT_INVALID (
    "INVALID_MARKER" CHAR(36) NOT NULL ,
    "SHARED_OBJECT_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPZ602
;



CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INST_SHARED_USAGE_PK
    ON @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE
    ("BPD_INSTANCE_ID","SHARED_OBJECT_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE
    ADD CONSTRAINT LSW_BPD_INST_SHARED_USAGE_PK
    PRIMARY KEY(
       "BPD_INSTANCE_ID",
       "SHARED_OBJECT_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INVALID_PK
    ON @SCHEMA@.BPM_SHARED_OBJECT_INVALID
    ("INVALID_MARKER")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INVALID
    ADD CONSTRAINT BPM_SHARED_OBJECT_INVALID_PK
    PRIMARY KEY(
       "INVALID_MARKER")

;

CREATE UNIQUE INDEX @SCHEMA@.BPM_SHAREDOBJ_DEFID_BID_TID_UQ
    ON @SCHEMA@.BPM_SHARED_OBJECT(
        "DEFINITION_VERSION_ID",
        "BPD_INSTANCE_ID",
        "TASK_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_IDX2 
    ON @SCHEMA@.BPM_SHARED_OBJECT(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSW_BPD_INST_SHARED_USAGE_IDX1 
    ON @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSW_BPD_INST_SHARED_USAGE_IDX2 
    ON @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE(
    "SHARED_OBJECT_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INVALID
    ADD CONSTRAINT BPM_SHARED_OBJECT_INVALID_FK
	FOREIGN KEY("SHARED_OBJECT_ID")
	REFERENCES @SCHEMA@.BPM_SHARED_OBJECT("DEFINITION_VERSION_ID")
	ON DELETE CASCADE
;

CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INVALID_IDX1 
    ON @SCHEMA@.BPM_SHARED_OBJECT_INVALID(
    "SHARED_OBJECT_ID")
    USING STOGROUP @STOGRP@

;





















CREATE INDEX @SCHEMA@.IDX_BPDI_EXST_SNAP 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "EXECUTION_STATUS",
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX_SNAPSHOT_PROJ_SNAP 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "PROJECT_ID",
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
    "HAS_SUSPENDED_ALL_INSTANCES" CHAR(1)
        DEFAULT 'F' NOT NULL
;

COMMIT;
    




CREATE UNIQUE INDEX @SCHEMA@.IX_BPD_BI_VI
    ON @SCHEMA@.LSW_BPD(
        "BPD_ID",
        "VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IX_BPDI_CBVI_SN_ES 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "CACHED_BPD_VERSION_ID",
    "SNAPSHOT_ID",
    "EXECUTION_STATUS")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IX_TASK_BIID_ST_SN 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS",
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ5111
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_RELATIONSHIP (
    "INSTANCE_ID" CHAR(36) NOT NULL ,
    "SOURCE_OBJECT_LOCAL_ID" DECIMAL(12, 0) NOT NULL ,
    "SOURCE_ID_TYPE" DECIMAL(6, 0) NOT NULL ,
    "TARGET_OBJECT_LOCAL_ID" DECIMAL(12, 0) NOT NULL ,
    "TARGET_ID_TYPE" DECIMAL(6, 0) NOT NULL ,
    "TYPE" DECIMAL(4, 0) NOT NULL ,
    "CREATED_BY_USER_ID" DECIMAL(12, 0) ,
    "DESCRIPTION" CLOB(2G) ,
    "CREATED_DATE" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_DATETIME" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPZ5111
;

CREATE LOB TABLESPACE WLPZ5112
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_RELATIONSHIP8_LOB
    IN @DB_NAME@.WLPZ5112
    STORES @SCHEMA@.BPM_RELATIONSHIP COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_RELATIONSHIP8_I
    ON @SCHEMA@.BPM_RELATIONSHIP8_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_RELATIONSHIP_PK
    ON @SCHEMA@.BPM_RELATIONSHIP
    ("INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_RELATIONSHIP
    ADD CONSTRAINT LSWC_RELATIONSHIP_PK
    PRIMARY KEY(
       "INSTANCE_ID")

;

CREATE INDEX @SCHEMA@.IX_REL_SOLI_SIT_T 
    ON @SCHEMA@.BPM_RELATIONSHIP(
    "SOURCE_OBJECT_LOCAL_ID",
    "SOURCE_ID_TYPE",
    "TYPE")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IX_REL_TOLI_TIT_T 
    ON @SCHEMA@.BPM_RELATIONSHIP(
    "TARGET_OBJECT_LOCAL_ID",
    "TARGET_ID_TYPE",
    "TYPE")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_USR_XREF
 ALTER COLUMN PROVIDER SET DATA TYPE VARCHAR(512);
					
ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
    "BINDING_STYLE" VARCHAR(128)
        DEFAULT 'soap11'
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_SCA_CONNECTOR 
ADD 
    "IS_MODULE_CELL_SCOPED" CHAR(1)
        DEFAULT 'T'
;

COMMIT;
    

CREATE TABLESPACE WLPZ2101
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_EXTACT_AJAXSVC (
    "EA_AJAXSVC_ID" CHAR(36) NOT NULL ,
    "EXTERNAL_ACTIVITY_ID" CHAR(36) NOT NULL ,
    "SERVICE_REF" CHAR(36) NOT NULL ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ2101
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EA_AJAXSVC_PK
    ON @SCHEMA@.LSW_EXTACT_AJAXSVC
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_EXTACT_AJAXSVC
    ADD CONSTRAINT LSWC_EA_AJAXSVC_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.LSWC_EA_AJAXSVC_PK3
    ON @SCHEMA@.LSW_EXTACT_AJAXSVC("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY 
ADD 
    "AUTH_AJAXSVC" CHAR(1)
        DEFAULT 'F' NOT NULL
;

COMMIT;
    


ALTER TABLE @SCHEMA@.BPM_SHARED_TK_USAGES
    ADD CONSTRAINT LSWC_STU_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET
 GOV_DEFAULT_SNAPSHOT_ID='4ba76d97-6763-4943-af85-e992b4e464fa'
  WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb568'
;
UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET
 GOV_DEFAULT_SNAPSHOT_ID='4ba76d97-6763-4943-af85-e992b4e464fa'
  WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb569'
;
					



CREATE INDEX @SCHEMA@.IX_TSK_GRP_ST_BPDI 
    ON @SCHEMA@.LSW_TASK(
    "GROUP_ID",
    "STATUS",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE UNIQUE INDEX @SCHEMA@.IX_SNAP_SNID_NAM_PRJID
    ON @SCHEMA@.LSW_SNAPSHOT(
        "SNAPSHOT_ID",
        "NAME",
        "PROJECT_ID")
    USING STOGROUP @STOGRP@

;

CREATE UNIQUE INDEX @SCHEMA@.IX_PRJ_PRJID_SNAM
    ON @SCHEMA@.LSW_PROJECT(
        "PROJECT_ID",
        "SHORT_NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK2
	FOREIGN KEY("GOV_SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;




      
-- END of phase ProcUpgradeTo856 --
        
    
    

        
-- START of phase ProcUpgradeTo857 --
        
            
CREATE TABLESPACE WLPZ8502
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ECM_OBJECT (
    "ECM_OBJECT_ID" CHAR(36) NOT NULL ,
    "BPD_INSTANCE_ID" DECIMAL(12, 0) NOT NULL ,
    "OBJECT_TYPE" DECIMAL(1, 0) NOT NULL ,
    "PARENT_ID" CHAR(36) ,
    "AUTHORED_OBJECT_ID" VARCHAR(64) ,
    "ALLOW_LOCAL_DOC" DECIMAL(1, 0) ,
    "ALLOW_FOLDER_REF" DECIMAL(1, 0) ,
    "ALLOW_DOC_REF" DECIMAL(1, 0) ,
    "ALLOW_SUB_FOLDER" DECIMAL(1, 0) ,
    "OBJECT_NAME" VARCHAR(512) ,
    "SERVER_NAME" VARCHAR(64) ,
    "EVENT_SOURCE_ID" VARCHAR(128) ,
    "OBJECT_ID" VARCHAR(128) ,
    "VERSION_SERIES_ID" VARCHAR(128) ,
    "OBJECT_TYPE_ID" VARCHAR(128) ,
    "BPMDOC_ID" DECIMAL(12, 0) ,
    "BPMDOC_PARENT_ID" DECIMAL(12, 0) ,
    "CREATED_BY_USER_ID" DECIMAL(12, 0) NOT NULL ,
    "CREATED_ON" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ8502
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ECM_OBJECT_PK
    ON @SCHEMA@.BPM_ECM_OBJECT
    ("ECM_OBJECT_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ECM_OBJECT
    ADD CONSTRAINT BPM_ECM_OBJECT_PK
    PRIMARY KEY(
       "ECM_OBJECT_ID")

;

CREATE INDEX @SCHEMA@.BPM_ECM_OBJECT_IDX1 
    ON @SCHEMA@.BPM_ECM_OBJECT(
    "PARENT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ECM_OBJECT_IDX2 
    ON @SCHEMA@.BPM_ECM_OBJECT(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ECM_OBJECT_IDX3 
    ON @SCHEMA@.BPM_ECM_OBJECT(
    "EVENT_SOURCE_ID",
    "OBJECT_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ902
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_UITHEME (
    "UITHEME_ID" CHAR(36) NOT NULL ,
    "THEME_CONTENT" BLOB(2G) ,
    "NAME" VARCHAR(128) NOT NULL ,
    "DESCRIPTION" CLOB(2G) ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ902
;

CREATE LOB TABLESPACE WLPZ903
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_UITHEME2_LOB
    IN @DB_NAME@.WLPZ903
    STORES @SCHEMA@.BPM_UITHEME COLUMN THEME_CONTENT
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_UITHEME2_I
    ON @SCHEMA@.BPM_UITHEME2_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLPZ904
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_UITHEME4_LOB
    IN @DB_NAME@.WLPZ904
    STORES @SCHEMA@.BPM_UITHEME COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_UITHEME4_I
    ON @SCHEMA@.BPM_UITHEME4_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPM_UITHEME_PK
    ON @SCHEMA@.BPM_UITHEME
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_UITHEME
    ADD CONSTRAINT BPM_UITHEME_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPM_UITHEME_PK3
    ON @SCHEMA@.BPM_UITHEME("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_UITHEME_PK4
    ON @SCHEMA@.BPM_UITHEME("NAME")
    USING STOGROUP @STOGRP@

;

DROP INDEX @SCHEMA@.IDX9_LSW_TASK;
						
COMMIT;


CREATE INDEX @SCHEMA@.IDX18_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "TASK_ID",
    "CREATED_BY_BPD_FLOW_OBJECT_ID",
    "STATUS",
    "ACTIVITY_TASK_TYPE")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS 
ADD 
    "DEFAULT_THEME" CHAR(36)
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "CASE_FOLDER_SERVER_NAME" VARCHAR(20) 
ADD 
    "STARTING_DOCUMENT_SERVER_NAME" VARCHAR(64) 
ADD 
    "SECURITY_FOLDER_ID" VARCHAR(40)
;

COMMIT;
    
		 		 		 		 		 		 
UPDATE @SCHEMA@.LSW_BPD_INSTANCE SET
 CASE_FOLDER_SERVER_NAME='IBM_BPM_ContentStore'
  WHERE NOT CASE_FOLDER_ID IS NULL
                        
;

CREATE TABLESPACE WLPZ905
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_DYNAMIC_STYLE (
    "COACH_VIEW_DYNAMIC_STYLE_ID" CHAR(36) NOT NULL ,
    "COACH_VIEW_ID" CHAR(36) NOT NULL ,
    "FILE_PATH" VARCHAR(510) ,
    "ASSET_UUID" CHAR(36) ,
    "SEQ" DECIMAL(12, 0) ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ905
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_VIEW_DYNSTL_PK
    ON @SCHEMA@.BPM_COACH_VIEW_DYNAMIC_STYLE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_DYNAMIC_STYLE
    ADD CONSTRAINT BPM_VIEW_DYNSTL_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPM_VIEW_DYNSTL_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_DYNAMIC_STYLE("COACH_VIEW_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_VIEW_DYNSTL_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_DYNAMIC_STYLE("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX_VIEW_DYNSTYLE 
    ON @SCHEMA@.BPM_COACH_VIEW_DYNAMIC_STYLE(
    "SEQ")
    USING STOGROUP @STOGRP@

;

UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET
 GOV_DEFAULT_SNAPSHOT_ID='b9205ad3-43fa-4d59-8c62-4ff3c394b604'
  WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb568'
;
UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET
 GOV_DEFAULT_SNAPSHOT_ID='b9205ad3-43fa-4d59-8c62-4ff3c394b604'
  WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb569'
;
						
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE
 ALTER "CASE_FOLDER_ID" SET DATA TYPE VARCHAR(82)
;

ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE
 ALTER "STARTING_DOCUMENT_ID" SET DATA TYPE VARCHAR(256)
;

INSERT INTO @SCHEMA@.LSW_ACL_ENTRY
 (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
  VALUES(25, 3, 2066, 'aa12f1cb-4661-3bd0-a351-45649d179885', 63)
;
INSERT INTO @SCHEMA@.LSW_ACL_ENTRY
 (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
  VALUES(26, 4, 2066, 'aa12f1cb-4661-3bd0-a351-45649d179885', 63)
;
						
CREATE TABLESPACE WLPT293
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ES_ARTIFACT (
    "ES_ARTIFACT_ID" CHAR(36) NOT NULL ,
    "ES_ART_DATA_UUID" CHAR(36) ,
    "MEDIA_TYPE" VARCHAR(200)
        DEFAULT 'application/octet-stream' ,
    "CHAR_ENCODING" VARCHAR(200)
        DEFAULT 'UTF-8' ,
    "LENGTH" DECIMAL(19, 0) ,
    "DIGEST" VARCHAR(90) NOT NULL ,
    "EXTERNAL_ID" VARCHAR(1024) ,
    "NAME" VARCHAR(128) NOT NULL ,
    "DESCRIPTION" CLOB(2G) ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "CREATED_BY_USER_ID" DECIMAL(12, 0) NOT NULL ,
    "CREATED_ON" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPT293
;

CREATE LOB TABLESPACE WLPT295
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_ES_ARTIFACT9_LOB
    IN @DB_NAME@.WLPT295
    STORES @SCHEMA@.BPM_ES_ARTIFACT COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ES_ARTIFACT9_I
    ON @SCHEMA@.BPM_ES_ARTIFACT9_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.ES_NPRP_PK
    ON @SCHEMA@.BPM_ES_ARTIFACT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ES_ARTIFACT
    ADD CONSTRAINT ES_NPRP_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.ES_NPRP_PK3
    ON @SCHEMA@.BPM_ES_ARTIFACT("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.ES_IDX_ART 
    ON @SCHEMA@.BPM_ES_ARTIFACT(
    "ES_ARTIFACT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.ES_IDX2_ART 
    ON @SCHEMA@.BPM_ES_ARTIFACT(
    "NAME")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT294
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ES_ART_DATA (
    "ES_ART_DATA_ID" CHAR(36) NOT NULL ,
    "ES_ART_DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT294
;

CREATE LOB TABLESPACE WLPT296
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_ES_ART_DATA2_LOB
    IN @DB_NAME@.WLPT296
    STORES @SCHEMA@.BPM_ES_ART_DATA COLUMN ES_ART_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ES_ART_DATA2_I
    ON @SCHEMA@.BPM_ES_ART_DATA2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.ES_ART_DATA_PK
    ON @SCHEMA@.BPM_ES_ART_DATA
    ("ES_ART_DATA_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ES_ART_DATA
    ADD CONSTRAINT ES_ART_DATA_PK
    PRIMARY KEY(
       "ES_ART_DATA_ID")

;

CREATE TABLESPACE WLPT292
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ES_ARTIFACT_REF (
    "ES_ARTIFACT_REF_ID" CHAR(36) NOT NULL ,
    "PROCESS_ID" CHAR(36) NOT NULL ,
    "ESARTIFACT_REF" CHAR(36) NOT NULL ,
    "ESARTIFACT_ID" CHAR(36) NOT NULL ,
    "EXTERNAL_ID" VARCHAR(1024) ,
    "MIME_TYPE" VARCHAR(128) ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPT292
;


CREATE UNIQUE INDEX @SCHEMA@.ES_PAREF_PK
    ON @SCHEMA@.BPM_ES_ARTIFACT_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ES_ARTIFACT_REF
    ADD CONSTRAINT ES_PAREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.ES_PAREF_PK2
    ON @SCHEMA@.BPM_ES_ARTIFACT_REF("PROCESS_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.ES_PAREF_PK3
    ON @SCHEMA@.BPM_ES_ARTIFACT_REF("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.ES_PAREF_NUQ 
    ON @SCHEMA@.BPM_ES_ARTIFACT_REF(
    "PROCESS_ID",
    "ESARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT291
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_CLS_ES_ART_REF (
    "CLS_ES_ART_REF_ID" CHAR(36) NOT NULL ,
    "CLASS_ID" CHAR(36) NOT NULL ,
    "CLS_ESART_REF" CHAR(36) NOT NULL ,
    "ESARTIFACT_ID" CHAR(36) NOT NULL ,
    "EXTERNAL_ID" VARCHAR(1024) ,
    "MIME_TYPE" VARCHAR(128) ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPT291
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_CESREF_PK
    ON @SCHEMA@.BPM_CLS_ES_ART_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_CLS_ES_ART_REF
    ADD CONSTRAINT BPM_CESREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPM_CESREF_PK2
    ON @SCHEMA@.BPM_CLS_ES_ART_REF("CLASS_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_CESREF_PK3
    ON @SCHEMA@.BPM_CLS_ES_ART_REF("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_CESREF_NUQ 
    ON @SCHEMA@.BPM_CLS_ES_ART_REF(
    "CLASS_ID",
    "ESARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
    "BPMN2_DATA" BLOB(2G) 
ADD 
    "EXTERNAL_ID" VARCHAR(1024)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3301
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_CLASS11_LOB
    IN @DB_NAME@.WLPZ3301
    STORES @SCHEMA@.LSW_CLASS COLUMN BPMN2_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_CLASS11_I
    ON @SCHEMA@.LSW_CLASS11_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "EXTERNAL_ID" VARCHAR(1024)
;

COMMIT;
    


ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "IS_SECURED" CHAR(1)
        DEFAULT 'F'
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_PO_VERSIONS 
ADD 
    "EXTERNAL_ID" VARCHAR(1024)
;

COMMIT;
    

DROP INDEX @SCHEMA@.IDX4_PO_VERSIONS
;

COMMIT;


CREATE INDEX @SCHEMA@.IDX4_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "PO_TYPE",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "EXTERNAL_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
    "DEPENDENCY_SUMMARY" CLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3302
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_CLASS19_LOB
    IN @DB_NAME@.WLPZ3302
    STORES @SCHEMA@.LSW_CLASS COLUMN DEPENDENCY_SUMMARY
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_CLASS19_I
    ON @SCHEMA@.LSW_CLASS19_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "DEPENDENCY_SUMMARY" CLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ4201
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_PROCESS30_LOB
    IN @DB_NAME@.WLPZ4201
    STORES @SCHEMA@.LSW_PROCESS COLUMN DEPENDENCY_SUMMARY
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS30_I
    ON @SCHEMA@.LSW_PROCESS30_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
    "EXTERNAL_ID" VARCHAR(1024)
;

COMMIT;
    



CREATE TABLESPACE WLPT290
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ES_ES_ART_REF (
    "ES_ES_ART_REF_ID" CHAR(36) NOT NULL ,
    "ES_ARTIFACT_ID" CHAR(36) NOT NULL ,
    "ES_ESART_REF" CHAR(36) NOT NULL ,
    "TESARTIFACT_ID" CHAR(36) NOT NULL ,
    "EXTERNAL_ID" VARCHAR(1024) ,
    "MIME_TYPE" VARCHAR(128) ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPT290
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_EESREF_PK
    ON @SCHEMA@.BPM_ES_ES_ART_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ES_ES_ART_REF
    ADD CONSTRAINT BPM_EESREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPM_EESREF_PK2
    ON @SCHEMA@.BPM_ES_ES_ART_REF("ES_ARTIFACT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_EESREF_PK3
    ON @SCHEMA@.BPM_ES_ES_ART_REF("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_EESREF_NUQ 
    ON @SCHEMA@.BPM_ES_ES_ART_REF(
    "ES_ARTIFACT_ID",
    "TESARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ906
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_UITHEME_GENSYNC (
    "BRANCH_ID" VARCHAR(100) NOT NULL ,
    "ISGENVALID" CHAR(1)
        DEFAULT 'F'
)
IN @DB_NAME@.WLPZ906
;


CREATE UNIQUE INDEX @SCHEMA@.THEMEGEN_BRID
    ON @SCHEMA@.BPM_UITHEME_GENSYNC
    ("BRANCH_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_UITHEME_GENSYNC
    ADD CONSTRAINT THEMEGEN_BRID
    PRIMARY KEY(
       "BRANCH_ID")

;

ALTER TABLE @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE
 ALTER "ENABLING_DOCUMENT_ID" SET DATA TYPE VARCHAR(256)
;

ALTER  TABLE @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE 
ADD 
    "ENABLDOC_SERVER_NAME" VARCHAR(64)
;

COMMIT;
    

UPDATE @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE SET
 ENABLDOC_SERVER_NAME='IBM_BPM_ContentStore'
  WHERE NOT ENABLING_DOCUMENT_ID IS NULL
                        
;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION 
ADD 
    "CORRELATION_TYPE" DECIMAL(2, 0)
        DEFAULT 1 NOT NULL
;

COMMIT;
    

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_COR_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION(
        "BPD_ID",
        "CORRELATION_TYPE",
        "CORRELATION_NAME",
        "HASH_CODE")
    USING STOGROUP @STOGRP@

;

DROP INDEX @SCHEMA@.LSWC_BPD_INST_COR_UK
;

COMMIT;

ALTER  TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY 
ADD 
    "URL_TEMPLATE" VARCHAR(4000)
;

COMMIT;
    




CREATE INDEX @SCHEMA@.IX_TSK_CPV_ST_TID_BPI 
    ON @SCHEMA@.LSW_TASK(
    "CACHED_PROCESS_VERSION_ID",
    "STATUS",
    "TASK_ID",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IX_PR_V_T 
    ON @SCHEMA@.LSW_PROCESS(
    "VERSION_ID",
    "PROCESS_TYPE")
    USING STOGROUP @STOGRP@

;
                                              
UPDATE @SCHEMA@.LSW_BPD_INSTANCE SET
 STARTING_DOCUMENT_SERVER_NAME='IBM_BPM_ContentStore'
  WHERE NOT STARTING_DOCUMENT_ID IS NULL
                        
;

ALTER  TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS 
ADD 
    "THEME_VERSION" VARCHAR(256)
;

COMMIT;
    

ALTER TABLE @SCHEMA@.LSW_SAVED_SEARCHES
 ALTER "SEARCH_NAME" SET DATA TYPE VARCHAR(128)
;

ALTER  TABLE @SCHEMA@.LSW_SAVED_SEARCHES 
ADD 
    "OWNER" DECIMAL(18, 0) 
ADD 
    "LAST_UPDATED" TIMESTAMP 
ADD 
    "LAST_UPDATED_BY" DECIMAL(18, 0)
;

COMMIT;
    

DROP INDEX @SCHEMA@.LSWC_FAV_NUQ2
                        
;

COMMIT;


CREATE INDEX @SCHEMA@.LSWC_FAV_NUQ2 
    ON @SCHEMA@.LSW_FAVORITE(
    "SNAPSHOT_ID",
    "GROUP_ID",
    "BRANCH_ID",
    "CACHED_PROCESS_VERSION_ID",
    "EXPOSED_SERVICE_TYPE",
    "TIP",
    "ENABLED")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX7_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "SNAPSHOT_ID",
    "IS_ACTIVE",
    "IS_ARCHIVED")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ5113
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_TASK_CTX_HISTORY (
    "TASK_ID" DECIMAL(12, 0) NOT NULL ,
    "SEQ" DECIMAL(12, 0) NOT NULL ,
    "CREATED_ON" TIMESTAMP NOT NULL ,
    "EXECUTION_CONTEXT" BLOB(2G)
)
IN @DB_NAME@.WLPZ5113
;

CREATE LOB TABLESPACE WLPZ5114
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_TASK_CTX_HISTORY4_LOB
    IN @DB_NAME@.WLPZ5114
    STORES @SCHEMA@.LSW_TASK_CTX_HISTORY COLUMN EXECUTION_CONTEXT
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_CTX_HISTORY4_I
    ON @SCHEMA@.LSW_TASK_CTX_HISTORY4_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_CTX_HST_PK
    ON @SCHEMA@.LSW_TASK_CTX_HISTORY
    ("TASK_ID","SEQ")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_TASK_CTX_HISTORY
    ADD CONSTRAINT LSWC_TASK_CTX_HST_PK
    PRIMARY KEY(
       "TASK_ID",
       "SEQ")

;

ALTER TABLE @SCHEMA@.LSW_PO_VERSIONS
 ALTER "ORIG_LAST_MODIFIED_BY_USER" SET DATA TYPE VARCHAR(128)
;

DROP INDEX @SCHEMA@.LSWC_TIP_NUQ
;

COMMIT;


CREATE INDEX @SCHEMA@.IX_BPDI_T_ES_SN_CBVI 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "TIP",
    "EXECUTION_STATUS",
    "SNAPSHOT_ID",
    "CACHED_BPD_VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ2701
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_SAVED_SEARCH_TEAM (
    "SEARCH_TEAM_ID" DECIMAL(18, 0) NOT NULL ,
    "SEARCH_ID" DECIMAL(18, 0) NOT NULL ,
    "TEAM_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPZ2701
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SAV_SRCH_TEAM_PK
    ON @SCHEMA@.BPM_SAVED_SEARCH_TEAM
    ("SEARCH_TEAM_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SAVED_SEARCH_TEAM
    ADD CONSTRAINT BPM_SAV_SRCH_TEAM_PK
    PRIMARY KEY(
       "SEARCH_TEAM_ID")

;

ALTER TABLE @SCHEMA@.BPM_SAVED_SEARCH_TEAM
    ADD CONSTRAINT BPM_SAV_SRCH_TEAM_FK
	FOREIGN KEY("SEARCH_ID")
	REFERENCES @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID")
	ON DELETE CASCADE
;

CREATE UNIQUE INDEX @SCHEMA@.BPM_SAV_SRCH_TEAM_IDX
    ON @SCHEMA@.BPM_SAVED_SEARCH_TEAM(
        "SEARCH_ID",
        "TEAM_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_MIGRATION_POLICY
    ADD CONSTRAINT LSWC_MP_SS_FK
	FOREIGN KEY("SOURCE_SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.IX_RUNERR_BPDID 
    ON @SCHEMA@.LSW_RUNTIME_ERROR(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

        
-- END of phase ProcUpgradeTo857 --
        
    
    

        
-- START of phase ProcUpgradeTo857_CF2016.09 --
        
            
CREATE TABLESPACE WLPZ4202
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ES_CONNECTOR (
    "ES_CONNECTOR_ID" CHAR(36) NOT NULL ,
    "DEFINITION" BLOB(2G) NOT NULL ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ4202
;

CREATE LOB TABLESPACE WLPZ4203
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_ES_CONNECTOR2_LOB
    IN @DB_NAME@.WLPZ4203
    STORES @SCHEMA@.BPM_ES_CONNECTOR COLUMN DEFINITION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ES_CONNECTOR2_I
    ON @SCHEMA@.BPM_ES_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPMC_ESNTR_PK
    ON @SCHEMA@.BPM_ES_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ES_CONNECTOR
    ADD CONSTRAINT BPMC_ESNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPMC_ESNTR_PK3
    ON @SCHEMA@.BPM_ES_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_PROCESS_ITEM 
ADD 
    "EXTERNAL_SERVICE_REF" CHAR(36) 
ADD 
    "EXTERNAL_SERVICE_OP" VARCHAR(510)
;

COMMIT;
    
ALTER TABLE @SCHEMA@.LSW_EM_TASK_KEYWORDS VOLATILE
;

ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ302
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_BPD30_LOB
    IN @DB_NAME@.WLPZ302
    STORES @SCHEMA@.LSW_BPD COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD30_I
    ON @SCHEMA@.LSW_BPD30_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3305
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_CLASS20_LOB
    IN @DB_NAME@.WLPZ3305
    STORES @SCHEMA@.LSW_CLASS COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_CLASS20_I
    ON @SCHEMA@.LSW_CLASS20_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3306
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP4_LOB
    IN @DB_NAME@.WLPZ3306
    STORES @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP4_I
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP4_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3304
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE6_LOB
    IN @DB_NAME@.WLPZ3304
    STORES @SCHEMA@.LSW_RESOURCE_BUNDLE COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_RESOURCE_BUNDLE6_I
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE6_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_TRACKING_GROUP 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3601
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_TRACKING_GROUP6_LOB
    IN @DB_NAME@.WLPZ3601
    STORES @SCHEMA@.LSW_TRACKING_GROUP COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_TRACKING_GROUP6_I
    ON @SCHEMA@.LSW_TRACKING_GROUP6_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ4204
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_PROCESS31_LOB
    IN @DB_NAME@.WLPZ4204
    STORES @SCHEMA@.LSW_PROCESS COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS31_I
    ON @SCHEMA@.LSW_PROCESS31_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ6302
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_PARTICIPANT16_LOB
    IN @DB_NAME@.WLPZ6302
    STORES @SCHEMA@.LSW_PARTICIPANT COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_PARTICIPANT16_I
    ON @SCHEMA@.LSW_PARTICIPANT16_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ7201
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_WEB_SERVICE10_LOB
    IN @DB_NAME@.WLPZ7201
    STORES @SCHEMA@.LSW_WEB_SERVICE COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_WEB_SERVICE10_I
    ON @SCHEMA@.LSW_WEB_SERVICE10_LOB
    USING STOGROUP @STOGRP@
;
        








CREATE TABLESPACE WLPZ4205
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_SKEL_CONNECTOR (
    "SKEL_CONNECTOR_ID" CHAR(36) NOT NULL ,
    "DEFINITION" BLOB(2G) NOT NULL ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ4205
;

CREATE LOB TABLESPACE WLPZ4206
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_SKEL_CONNECTOR2_LOB
    IN @DB_NAME@.WLPZ4206
    STORES @SCHEMA@.BPM_SKEL_CONNECTOR COLUMN DEFINITION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_SKEL_CONNECTOR2_I
    ON @SCHEMA@.BPM_SKEL_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPMC_SKELNTR_PK
    ON @SCHEMA@.BPM_SKEL_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SKEL_CONNECTOR
    ADD CONSTRAINT BPMC_SKELNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPMC_SKELNTR_PK3
    ON @SCHEMA@.BPM_SKEL_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY 
ADD 
    "IS_GENERATED_ACTIVITY" CHAR(1)
        DEFAULT 'F' NOT NULL
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_USR_XREF 
ADD 
    "USER_STATE" DECIMAL(2, 0)
        DEFAULT 0 NOT NULL 
ADD 
    "LAST_STATE_MODIFIED" TIMESTAMP
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "IS_AJAX_EXPOSED" CHAR(1)
        DEFAULT 'F'
;

COMMIT;
    

        
-- END of phase ProcUpgradeTo857_CF2016.09 --
        
    